MongoDB::lastError
MongoDB::prevError
MongoDB
PHP Manual

# MongoDB::listCollections

(PECL mongo >=0.9.0)

MongoDB::listCollections — Gets an array of all MongoCollections for this database

### Description

public array MongoDB::listCollections ([ bool `$includeSystemCollections` = false ] )

Gets a list of all the collections in the database and returns them as an array of MongoCollection objects.

### Parameters

`includeSystemCollections`

  Include system collections.

### Return Values

Returns an array of MongoCollection objects.

### Changelog

Version | Description
--- | ---
1.3.0 | Added the `includeSystemCollections` parameter.

### Examples

Example #1 MongoDB::listCollections() example

The following example demonstrates dropping each collection in a database.

`<?php
$m = new MongoClient();
$db = $m->selectDB("sample");
$list = $db->listCollections();
foreach ($list as $collection) {
echo "removing $collection... ";
$collection->drop();
echo "gone\n";
}
?>`

The above example will output something similar to:

    removing sample.blog.posts... gone
    removing sample.critical.docs... gone
    removing sample.taxes... gone
    ...

### See Also

- MongoDB::getCollectionNames() - Get all collections from this database

MongoDB::lastError
MongoDB::prevError
MongoDB
PHP Manual